Loading...
Searching...
No Matches
cert::ServerSSLCert::KeyInfo Struct Reference

Public key information. More...

`import "ServerSSLCert.idl";`

## Public Attributes

KeyType | type
| Key type.
EllipticCurve | ecCurve
| Selected elliptic curve (only relevant if key type is ECDSA)
int | rsaKeyLength
| Length of the RSA key in bits (only relevant if key type is RSA)
boolean | inSecureElement
| `true` if located in a Secure Element

## Detailed Description

Public key information.

Definition at line 68 of file ServerSSLCert.idl.

## Member Data Documentation

## ecCurve

EllipticCurve cert::ServerSSLCert::KeyInfo::ecCurve

Selected elliptic curve (only relevant if key type is ECDSA)

Definition at line 70 of file ServerSSLCert.idl.

## inSecureElement

boolean cert::ServerSSLCert::KeyInfo::inSecureElement

`true` if located in a Secure Element

Definition at line 72 of file ServerSSLCert.idl.

## rsaKeyLength

int cert::ServerSSLCert::KeyInfo::rsaKeyLength

Length of the RSA key in bits (only relevant if key type is RSA)

Definition at line 71 of file ServerSSLCert.idl.

## type

KeyType cert::ServerSSLCert::KeyInfo::type

Key type.

Definition at line 69 of file ServerSSLCert.idl.

The documentation for this struct was generated from the following file:

- ServerSSLCert.idl